version: '2.3'

services:
  test:
    build:
      context: .
    volumes:
    - ./hangman:/usr/local/hangman/hangman
    - ./tests:/usr/local/hangman/tests
    - ./.pylintrc:/usr/local/hangman/.pylintrc
    - ./.coveragerc:/usr/local/hangman/.coveragerc
    - ./tox.ini:/usr/local/hangman/tox.ini
    command: make_checks